﻿/*body {
    padding-top: 50px;
    padding-bottom: 20px;
}*/

/* Set padding to keep content from hitting the edges */
/*.body-content {
    padding-left: 15px;
    padding-right: 15px;
}*/

/* Set width on the form input elements since they're 100% wide by default */
/*input,
select,
textarea {
    max-width: 280px;
}*/

@import url('https://fonts.googleapis.com/css?family=Roboto');

body {
    text-align: center;
    justify-content: center;
    flex-direction: column;
    display: flex;
    position: fixed;
    width: 100%;
    height: 100%;
    background: #0c499c;
    background-image: url('../Imagenes/login-background.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    background-attachment: fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    overflow: auto;
}

.password_reset {
    margin-top: 20px !important;
    font-family: 'Roboto' !important;
}

    .password_reset a {
        color: #FFFFFF !important;
        font-weight: 100 !important;
        text-decoration: none !important;
    }

        .password_reset a:hover {
            text-decoration: underline !important;
        }

.login_img {
    width: 80% !important;
    max-width: 320px !important;
}

.login_header {
    margin-left: auto !important;
    margin-right: auto !important;
    font-size: 12px !important;
    text-transform: uppercase !important;
    color: #FFFFFF !important;
    font-family: 'Roboto', sans-serif !important;
    font-weight: 500 !important;
    padding: 50px !important;
    letter-spacing: 4px !important;
}

.login_container {
    margin-left: auto !important;
    margin-right: auto !important;
    width: 80% !important;
    max-width: 320px !important;
    background: rgba(255,255,255,0.8) !important;
    text-align: center !important;
}

.login_inputs {
    padding: 20px !important;
}

.login_bottom {
    margin-top: 20px !important;
    background: #FFFFFF !important;
    text-align: right !important;
    padding: 20px !important;
}

.login_error {
    font-family: 'Roboto', sans-serif !important;
}

input {
    display: block !important;
    width: 80% !important;
    height: 20px !important;
    margin-top: 20px !important;
    outline: none !important;
    margin-left: auto !important;
    margin-right: auto !important;
}

    input[type="text"], input[type="password"] {
        border: none !important;
        background: none !important;
        border-bottom: 1px solid #757575 !important;
        font-family: 'Roboto', sans-serif !important;
        font-size: 12pt !important;
    }

        input[type="text"]:focus, input[type="password"]:focus {
            caret-color: #2fa5f8 !important;
            border-bottom: 1px solid #2fa5f8 !important;
        }

    input[type="submit"]:hover {
        color: #0c499c !important;
        text-decoration: underline !important;
    }

    input[type="submit"] {
        text-transform: uppercase !important;
        background: none !important;
        border: none !important;
        color: #2fa5f8 !important;
        cursor: pointer !important;
        width: 80px !important;
        font-family: 'Roboto', sans-serif !important;
        font-size: 12pt !important;
        display: inline-block !important;
        margin-top: 0 !important;
    }

.login_cont #fos_user_resetting_form label {
    font-family: 'Roboto', sans-serif !important;
    margin-left: 30px !important;
}

.login_cont #fos_user_resetting_form div:nth-child(1) input {
    margin-bottom: 15px !important;
}

.login_cont #fos_user_resetting_form {
    padding-top: 10px !important;
    text-align: left !important;
}

@media screen and (max-width: 480px) {
    input[type='text'], input[type='password'] {
        font-size: 8pt !important;
    }
}

@media screen and (min-width: 481px) and (max-width: 767px) {
    input[type='text'], input[type='password'] {
        font-size: 10pt !important;
    }
}